package com.ss.android.ugc.aweme.sticker.presenter.handler;

import X.0CB;
import X.0CH;
import X.0PM;
import X.6Is;
import X.7he;
import X.Crj;
import X.IFh;
import X.M12;
import X.NBS;
import X.NFG;
import X.NFV;
import X.NME;
import X.NMF;
import X.NMG;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.sticker.senor.presenter.ARSenorPresenter;

public final class ARStickerHandler extends NFV implements 6Is {
    public final Context LIZ;
    public final 0CH LIZIZ;
    public final 0PM<Boolean> LIZJ;
    public final NMG LIZLLL;
    public final NMF LJ;
    public final Crj LJFF = 7he.LIZ(new NME(this));

    static {
        Covode.recordClassIndex(116113);
    }

    public final void onStateChanged(0CH r1, 0CB r2) {
    }

    public final void LIZ() {
        this.LIZLLL.LIZ(false);
    }

    public final boolean LIZ(NBS nbs) {
        M12.LIZ(nbs);
        return NFG.LJIIJ(nbs.LIZ);
    }

    public final void LIZIZ(NBS nbs) {
        M12.LIZ(nbs);
        this.LIZLLL.LIZ(true);
        this.LIZLLL.LIZIZ();
    }

    public final void LIZ(IFh iFh, NBS nbs) {
        M12.LIZ(iFh, nbs);
        this.LJ.LIZ((ARSenorPresenter) this.LJFF.getValue(), false);
    }

    public ARStickerHandler(Context context, 0CH r3, 0PM<Boolean> r4, NMG nmg, NMF nmf) {
        M12.LIZ(context, r3, r4, nmg, nmf);
        this.LIZ = context;
        this.LIZIZ = r3;
        this.LIZJ = r4;
        this.LIZLLL = nmg;
        this.LJ = nmf;
    }
}
